Skip to main content
`Ctrl`+`K`

# STShellSetDestroy

Set a context destroy function for the `STSHELL` context.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetDestroy(ST st,STShellDestroyFn *destroy)

Logically Collective

## Input Parameters

- st - the shell `ST`

- destroy - context destroy function, see `STShellDestroyFn` for its calling sequence

## See Also

ST: Spectral Transformation, `STSHELL`, `STShellSetContext()`

## Level

advanced

## Location

src/sys/classes/st/impls/shell/shell.c

## Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex35.c
src/eps/tutorials/ex36.c

## Implementations

STShellSetDestroy_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages